using System;
using System.Data;
using System.Collections;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using CMS.PortalControls;
using CMS.GlobalHelper;
using CMS.CMSHelper;
using CMS.SettingsProvider;

public partial class CMSWebParts_Custom_Component2 : CMSAbstractWebPart
{
    #region "Properties"

    int price = 50;

    #endregion


    #region "Methods"

    /// <summary>
    /// Content loaded event handler
    /// </summary>
    public override void OnContentLoaded()
    {
        base.OnContentLoaded();
        SetupControl();
    }


    /// <summary>
    /// Initializes the control properties
    /// </summary>
    protected void SetupControl()
    {
        if (this.StopProcessing)
        {
            // Do not process
        }
        else
        {

            lblPrice.Text = price.ToString();

            ComponentEvents.RequestEvents.RegisterForEvent("CurrencyChanged", UpdateListing);
        }
    }


    public void UpdateListing(object sender, EventArgs e)
    {
        string currency = RequestStockHelper.GetItem("Currency", false).ToString();

        double multiplier = 0;

        switch (currency)
        {
            case "USD": multiplier = 1; break;
            case "EUR": multiplier = 0.78; break;
            case "CZK": multiplier = 20.6; break;        
        }

        lblPrice.Text = (price * multiplier).ToString();
    }

    /// <summary>
    /// Reloads the control data
    /// </summary>
    public override void ReloadData()
    {
        base.ReloadData();

        SetupControl();
    }

    #endregion
}



